
#include <iostream>
#include <stdlib.h>
#include <math.h>


#include "TowerFPD.h"

ClassImp(TowerFPD);

TowerFPD::TowerFPD() 
{
  energy = 0;
  col = row =  cluster = -1 ;
  adc_over_ped=9999;
}

TowerFPD::TowerFPD(Float_t ene, Int_t towX, Int_t towY, Int_t clu)
{
  energy = ene;
  col = towX;
  row = towY;
  cluster = clu;
  adc_over_ped=9999;
};

Int_t TowerFPD::Compare(const TObject *obj) const
{
  if( energy < ((TowerFPD *) obj)->energy )
    return -1;
  else if( energy > ((TowerFPD *) obj)->energy )
    return 1;
  else
    return 0;
};

Bool_t TowerFPD::IsNeighbor(TowerFPD *a) {
  
  return ( abs(this->col - a->col) + abs(this->row - a->row) == 1 )  ;

}

void TowerFPD::Print(void) {
  cout << energy << "\t" << col << "\t" << row << "\t" << cluster << endl;
}


