

#ifndef WASEXTERNAL_H
#define WASEXTERNAL_H
#include "TObjArray.h"
#include "TF2.h"
#include "TMinuit.h"
#include "TRandom.h"
#define MAX_NUMB_PHOTONS 7


class WasExternal: public TObject
{
 public:
  WasExternal()
    {
      Double_t step0[3*MAX_NUMB_PHOTONS+1]= {0, 0.1,0.1,0.2, 0.1,0.1,0.2, 0.1,
					     0.1,0.2, 0.1,0.1,0.2, 0.1,0.1,0.2, 
					     0.1,0.1,0.2, 0.1,0.1,0.2};
      for(int j=0;j<3*MAX_NUMB_PHOTONS+1;j++)step[j]=step0[j];
    };
  ~WasExternal(){};
  TObjArray* tow2Fit;
  TF2* fcnSS;
  UInt_t showerShapeFunc;
  UInt_t choiceChi2;
  Float_t showerWidthX;
  Float_t showerWidthY;
  UInt_t useLimitForPara;
  Double_t errFactor;
  Double_t errQ;
  TRandom *myRand;
  Double_t step[3*MAX_NUMB_PHOTONS+1];

 private:
 ClassDef(WasExternal,2);

};

#endif

